Subject: categories: On reflexivity

From: Tom KRANTZ <[email-masked]>
Date: Sat, 20 Mar 1999 03:19:01 +0100 (MET)

A 'philosophical' interpretation of oriented graphs might be out of
the scope of the categories mailing list, it seems elucidating to me
though.(It could have been for Heraclit and Parmenides.)

I suggest to consider vertices as states and edges as transitions.

A reflexive edge corresponds to a transition from a state to itself. 

Two notions of morphism of oriented graphs come seem natural:
- A rigid embedding which preserves difference of states
- A notion of morphism which may equalize different states.
The meaning of equality of states needs precision then.

Coherence semantics deals with a different notion of graph.
This is clear to me and can also be deduced from a discussion between
Thomas Ehrhard and his student Pierre to which I assisted.

This bears an answer to the question of reflexivity I think.

	Sincerely, Tom